Subject: another RFC issue: value of GETETAG property

From: Daniel Brotsky <[email-masked]>
Date: Tue, 20 Nov 2001 12:33:58 -0800

The RFC says

13.6 getetag Property

    Name:       getetag
    Namespace:  DAV:
    Purpose:    Contains the ETag header returned by a GET without
    accept headers.
    Description: The getetag property MUST be defined on any DAV
    compliant resource that returns the Etag header.
    Value:      entity-tag  ; defined in section 3.11 of [RFC2068]

    <!ELEMENT getetag (#PCDATA) >

Unfortunately, the example in section 8.1.1 (page 27) says

                     <D:getetag>
                          zzyzx
                     </D:getetag>

which is not a valid etag.  (Etags are quoted-strings, or 
quoted-strings preceded by the literal W/.)  But fixing this example 
raises one of those classic "XML-ification" issues: should it be

<D:getetag>"zzyzx"</D:getetag>

or

<D:getetag>&quot;zzyzx&quot;</D:getetag>

and how about

<D:getetag>&quot;zzyzx"</D:getetag>

Can we get this issue listed and can someone (I vote for Julian :^) 
resolve it and also explain to idiots like me where &-entities are 
required to be used, where they are allowed to be used, and what 
clients should do with them if their parser can't be told to do 
entity elimination???

Thanks!

     dan
-- 
Daniel Brotsky, Adobe Systems
tel 408-536-4150, pager 877-704-4062
2-way pager email: <mailto:[email-masked]>

---

From: "Julian Reschke" <[email-masked]>
Date: Wed, 21 Nov 2001 00:58:26 +0100

> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Daniel Brotsky
> Sent: Tuesday, November 20, 2001 9:34 PM
> To: [email-masked]
> Subject: another RFC issue: value of GETETAG property
>
>
> The RFC says
>
> 13.6 getetag Property
>
>     Name:       getetag
>     Namespace:  DAV:

It doesn't matter. Same XML Infoset.

> <D:getetag>&quot;zzyzx"</D:getetag>

Same again.

> required to be used, where they are allowed to be used, and what

You don't need "&quot;", unless you are in the content of an attribute value
which uses double quotes.

> clients should do with them if their parser can't be told to do

My XML parser resolves them for me (Xerces). Which parser do you use?

Julian

---

From: Daniel Brotsky <[email-masked]>
Date: Tue, 20 Nov 2001 17:04:38 -0800

Thanks, Julian!!  (My parser does do entity-elimination by the way, 
but I just wanted to keep you talking long enough to clarify 
everything. :^)

Lisa, Jim, can we add this issue as "resolved" and update the 
"current source" of the RFC to have the "zzyzx" form?

     dan